Bug 64592 - Add /root to list of directories we check are not a symlink
Add /root to list of directories we check are not a symlink
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 64724 65121 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-05-08 09:46 EDT by Joachim Backes
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-15 01:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Comment (65.92 KB, text/plain)
2002-05-08 09:46 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2002-05-08 09:46:38 EDT
Created attachment 915017 [details]

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Jeremy Katz 2002-05-08 19:29:41 EDT
Had you removed /root on your system?
Comment 2 Joachim Backes 2002-05-09 09:53:03 EDT
/root ist not missing, but a softlink to a directory located on an another
mounted partition.

Now, I made a new /root on the root partition, then this bug no more occurs.

But now, after more than 100 packages are installed (from the first CD),
the install crashes with the message:

	There was an error
        installing kde-base-3.0.0-12

The hints which now are given from anaconda are not very useful: I checked my
CDs, but all are correct.

Now, my system which I wanted to update, is damaged :-((
I had to go back to a backuped RH 7.2.

NB: I had the problem already when installing Skipjack (I made a bug report, but
got no answer).

Comment 3 Michael Fulbright 2002-05-09 15:21:36 EDT
Have you booted the 7.3 installer with the 'linux mediacheck' option to test the
Comment 4 Joachim Backes 2002-05-10 05:08:36 EDT
Yes, i booted with "linux mediacheck", and the results where:

 passed, OK.

for Valhalla 7.3 disc1, disc2 and disc3.
Comment 5 Michael Fulbright 2002-05-13 16:30:28 EDT
*** Bug 64724 has been marked as a duplicate of this bug. ***
Comment 6 Michael Fulbright 2002-05-13 16:31:24 EDT
Jeremy can he just run the upgrade again with good CDs?
Comment 7 Joachim Backes 2002-05-14 04:31:13 EDT

there is some news on my problem with kdebase-3.0.0.

1. My CD's are ok (i told already), and an additional proof for this fact
is:       doing a completely fresh RH 7.3 installation with these CDs is
   performed without any error. Especially KDE is installed correctly.

2. Then, I went back to my old RH 7.2, and then i made a customized update by
   omitting kdebase-3.0.0 during the custom dialogue, ignoring dependencies.
   My RH 7.2 was now updated to RH 7.3

   Now, after Valhalla had been started, I got over the kdebase RPM instal-
   lation, and now i received an error msg which seems to be the reason for
   the failed update install  WITH kdebase:

	error:unpacking of archive failed on file /usr/share/config/kdm:
        cpio: rename failed - Is a directory.

   Then, I moved /usr/share/config/kdm to /usr/share/config/kdm-old, and,
   now :-)))  I could update to RPM kdebase-3.0.0, and my RH 7.3 runs prefectly.

   I think, one can live with this workaround.
Comment 8 Jeremy Katz 2002-05-14 12:19:48 EDT
What version of kdebase did you previously have installed?  I did upgrades
yesterday from Red Hat Linux 7.2 both with and without all updates installed and
the /usr/share/config/kdm symlink is always a symlink in these packages.  I can
only see you having a problem if you had a beta or rawhide package installed
that had this as a directory as a symlink.
Comment 9 Joachim Backes 2002-05-15 01:27:50 EDT
The version of this painful kdebase was kdebase-2.2-4, and as I remember (??),
it was
part of a RH Roswell Beta. The question is now: when I installed RH 7.2, why was
kdebase-2.2-4 not replaced by kdebase-2.2-12? I'm sure I got no error when
updating from Roswell to RH 7.2.

It seems that the update from 7.2 to 7.3 did not recognize too this problem.
Perhaps, anaconda should be more tolerant when finding such incompatibilities.

On my other RH based systems, I did not install some BETA but only standard RH
releases, so there is always kdebase-2.2-12 installed (as expected).
Comment 10 Jeremy Katz 2002-05-15 10:18:09 EDT
2.2-4 was a broken package and can't be properly upgraded; this is why upgrades
from beta releases are not supported (there's a bug somewhere about the
directory to symlink question filed against rpm).  In previous releases, we
didn't catch the error that this failed package upgrade generated, but to catch
some media errors, we do now and it unfortunately happens with virtually
identical symptoms as the media errors.
Comment 11 Michael Fulbright 2002-05-20 15:03:15 EDT
*** Bug 65121 has been marked as a duplicate of this bug. ***
Comment 12 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.